TYPO3 Updates auf TYPO3 6.2 LTS header image

Update auf TYPO3 CMS 6.2 LTS

TYPO3 6.2 Update

Die Leistungen der blueways für Ihr TYPO3-Update.

Download PDF zum Thema Update auf TYPO3 6.2

Mit der Version 6.2 LTS von TYPO3 CMS wurde am 25.März 2014 die zweite LTS-Version veröffentlicht. Das bedeutet, dass diese Version über einen Langzeitsupport (Long-Term-Support) verfügt.

Die LTS-Versionen von TYPO3 haben einen Supportzeitraum von 3 Jahren. In dieser Zeit werden regelmäßige Weiterentwicklungen und Fehlerkorrekturen für diese Version geliefert. Außerdem werden Sicherheitslücken geschlossen. Eine LTS-Version steht also für eine lange Zeit an Stabilität und Verläßlichkeit.

Mit dem Erscheinen der aktuellen LTS-Version (also 6.2) läuft der Support für die Vorgänger-LTS-Version (4.5) langsam aus. Es wird noch ein weiteres Jahr Sicherheitsupdates geben. Diese Übergangszeit ist bewußt gewählt, um genug Zeit für ein Update einzuräumen. Es ist jedoch nicht nur der Support, der für die Version 6.2 spricht, sondern auch eine ganze Reihe an Neuerungen, die die Arbeit mit TYPO3 CMS verbessern.

Kann man einfach auf TYPO3 6.2 updaten?

Ob man ohne Probleme auf TYPO3 6.2 updaten kann, hängt von einer Reihe von Faktoren ab. So müssen die installierten Extensions auf Kompatibilität geprüft werden und ggf. Eigenentwicklungen angepaßt werden. Auch die vorhandene PHP-Version sollte auf 5.4 angehoben werden. Zwar läuft TYPO3 6.2 ab PHP 5.3.7 aber der Support für PHP 5.3 endet 2014.

Wie kann die blueways Ihnen beim Update helfen?

Wir können für Sie das Update ihrer TYPO3-Installation vornehmen. Dazu führen wir eine Analyse durch und prüfen, welche Extensions updatefähig sind. Danach können wir den genauen Aufwand für das Update abschätzen. Das Update auf 6.2 erfolgt prinzipiell auf einer Kopie des Livesystems, damit es nicht zu Ausfällen kommt. So können Sie auch Ihre TYPO3-Installation mit Version 6.2 testen und nach Abnahme live schalten.

Übrigens ist der Support für TYPO3 CMS 4.6 und 6.0 bereits ausgelaufen. Im Oktober 2014 folgen dann die Versionen 4.7 und 6.1. Sollten Sie noch eine dieser alten Versionen verwenden, ist ein Update dringend angeraten!

Kontakt

Mit dem Absenden des Kontaktformulars erkläre ich mich mit der Datenschutzerklärung einverstanden.

Qualifikation

Neben unserer Projekterfahrung verfügen wir auch über zertifizierte Mitarbeiter.